[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TPopupMenu.Close

Closes the pop-up menu when it is active.

## Declaration

Source position: menus.pp line 488

`public procedure TPopupMenu.Close;`

## Description

Close is a method used to close the pop-up menu when it is active. When ActivePopupMenu contains the current class instance, the DoClose method is called to signal the OnClose event handler (when assigned). ActivePopupMenu is set to Nil to indicate that the pop-up menu is no longer active.

No actions are performed in the method if ActivePopupMenu does not refer to the current class instance.

## See also

TPopUpMenu.DoClose |  | Performs actions needed when the pop-up menu is closed.
TPopUpMenu.OnClose |  | Event handler signalled when the pop-up menu is closed.
ActivePopupMenu |  | Unit global variable which represents the active pop-up menu.